jeudi 12 décembre 2019    || Inscription
BanniereAlertes
 
 

Notre sélection d'alertes et avis SSI.
Sources : US Cert, Cert EU, Cert FR, Cnil, VulDB.

samedi 6 avril 2019

LOYTEC LGATE-902 up to 6.4.1 alarm_log_obj handle cross site scripting

A vulnerability has been found in LOYTEC LGATE-902 up to 6.4.1 and classified as problematic. Affected by this vulnerability is a functionality of the file /webui/data/alarm_log_obj. The manipulation of the argument handle with the input value 1000%27-alert(1)-%27 leads to a cross site scripting vulnerability (Persistent). The CWE definition for the vulnerability is CWE-80. As an impact it is known to affect integrity. An attacker might be able to inject arbitrary html and script code into the web site. This would alter the appearance and would make it possible to initiate further attacks against site visitors.

The weakness was published 04/07/2019 as Loytec LGATE-902: Multiple Vulnerabilities (XSS, Path traversal and File Deletion) as confirmed mailinglist post (Full-Disclosure). The advisory is shared at seclists.org. The public release has been coordinated with LOYTEC. This vulnerability is known as CVE-2018-14919. The attack can be launched remotely. It demands that the victim is doing some kind of user interaction. Technical details are known, but no exploit is available.

The vulnerability was handled as a non-public zero-day exploit for at least 110 days. During that time the estimated underground price was around $0-$5k.

Upgrading to version 6.4.2 eliminates this vulnerability. A possible mitigation has been published even before and not after the disclosure of the vulnerability.

Similar entries are available at 133286.

Product

Vendor

Name

CPE

CVSSv3

VulDB Meta Base Score: 3.5
VulDB Meta Temp Score: 3.4

VulDB Base Score: 3.5
VulDB Temp Score: 3.4
VulDB Vector: 🔒
VulDB Reliability: 🔍

CVSSv2

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Reliability: 🔍

Exploiting

Class: Cross site scripting / Persistent (CWE-80)
Local: No
Remote: Yes

Availability: 🔒
Status: Not defined

Price Prediction: 🔍
Current Price Estimation: 🔒

Threat Intelligence

Threat: 🔍
Adversaries: 🔍
Geopolitics: 🔍
Economy: 🔍
Predictions: 🔍
Remediation: 🔍

Countermeasures

Recommended: Upgrade
Status: 🔍
Reaction Time: 🔒
0-Day Time: 🔒

Upgrade: LGATE-902 6.4.2

Timeline

07/26/2018 Vendor informed
08/01/2018 Vendor acknowledged
11/13/2018 Countermeasure disclosed
04/07/2019 Advisory disclosed
04/10/2019 VulDB entry created
04/10/2019 VulDB last update

Sources

Advisory: Loytec LGATE-902: Multiple Vulnerabilities (XSS, Path traversal and File Deletion)
Status: Confirmed
Coordinated: 🔒

CVE: CVE-2018-14919 (🔒)
See also: 🔒

Entry

Created: 04/10/2019 12:49 PM
Complete: 🔍

Lien vers l'article source

Auteur: VulDB

Catégories: VulDBNombre de vues: 897

x

Événements SSI

FIC

Ayant pour thème cette année "Replacer l'humain au coeur de la cybersécurité", le Forum International de la Cybersécurité occupe les 28, 29 et 30 janvier 2020 le Grand Palais de Lille. Organisé par la Région Hauts-de-France et Euratechnologies, la Gendarmerie Nationale et CEIS.

RSS